'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5d7ef74f.js');

const unlockButtonCss = ":host{display:block;width:100%}.unlock-button{display:flex;align-items:center;padding:12px;border-radius:12px;background:white;box-shadow:0 2px 6px rgba(0, 0, 0, 0.05);cursor:pointer;transition:background 0.3s ease}.unlock-button:hover{background:#fafafa}.unlock-icon{width:40px;height:40px;border-radius:8px;overflow:hidden;display:flex;align-items:center;justify-content:center;border:1px solid #ebe5df}.unlock-icon img{width:100%;height:100%;object-fit:cover}.unlock-label{flex:1;margin-left:12px;font-size:16px;font-weight:500}";
const UnlockButtonStyle0 = unlockButtonCss;

const UnlockButton = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", { key: '05671c718809757151df1e77b99b1ac28d7f0b22', class: "unlock-button" }, index.h("div", { key: '31ce83321ea8ded527af968b919082603f34c064', class: "unlock-icon" }, this.icon), index.h("span", { key: '1aa2a8c3092ac1b96a5d382d1b8e7865f66cf690', class: "unlock-label" }, this.label)));
    }
};
UnlockButton.style = UnlockButtonStyle0;

exports.unlock_button = UnlockButton;

//# sourceMappingURL=unlock-button.cjs.entry.js.map