import { h } from "@stencil/core";
export class UnlockButton {
    render() {
        return (h("div", { key: '05671c718809757151df1e77b99b1ac28d7f0b22', class: "unlock-button" }, h("div", { key: '31ce83321ea8ded527af968b919082603f34c064', class: "unlock-icon" }, this.icon), h("span", { key: '1aa2a8c3092ac1b96a5d382d1b8e7865f66cf690', class: "unlock-label" }, this.label)));
    }
    static get is() { return "unlock-button"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["unlock-button.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["unlock-button.css"]
        };
    }
    static get properties() {
        return {
            "label": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "label",
                "reflect": false
            },
            "icon": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "HTMLElement",
                    "resolved": "HTMLElement",
                    "references": {
                        "HTMLElement": {
                            "location": "global",
                            "id": "global::HTMLElement"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=unlock-button.js.map
