import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionAge {
    render() {
        const component = this.tooltip ? (h("div", { class: classNames(this.class, 'transaction-age'), title: this.tooltip, "data-testid": DataTestIdsEnum.transactionAge }, this.age)) : (h("div", { class: classNames(this.class, 'transaction-age'), "data-testid": DataTestIdsEnum.transactionAge }, this.age));
        return h("div", { key: '846fc4015ad149e625552e080e887eba1ede624a', class: classNames(this.class, 'transaction-age') }, component);
    }
    static get is() { return "transaction-age"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-age.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-age.css"]
        };
    }
    static get properties() {
        return {
            "age": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "age",
                "reflect": false
            },
            "class": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "class",
                "reflect": false
            },
            "tooltip": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "tooltip",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-age.js.map
