import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionShards {
    render() {
        return (h("div", { key: '1f837f3c0ac7f3b4e3a38ddf460ea2efca79b77f', class: classNames(this.class, 'transaction-shards') }, h("explorer-link", { key: 'c62c25c3e7b69d8c8c370dcfd521972325514844', link: this.transaction.sender.shardLink, class: "transactions-table-body-cell-link", "data-testid": DataTestIdsEnum.shardFromLink }, h("span", { key: 'd42627111edff527372b830d3091e398242be097', slot: "content", "data-testid": DataTestIdsEnum.senderShard }, this.transaction.sender.shard)), h("span", { key: 'dd3304ae00df28b3a80cc8cdc08b2c5774e8a9c3', class: "transaction-shards-arrow" }, "\u2794"), h("explorer-link", { key: '34d168617a28b644e2ebf27782c437796630a3f6', class: "transactions-table-body-cell-link", link: this.transaction.receiver.shardLink, "data-testid": DataTestIdsEnum.shardToLink }, h("span", { key: '04f620c95cdad904a4d5fc1005e11f06abdf1912', slot: "content", "data-testid": DataTestIdsEnum.receiverShard }, this.transaction.receiver.shard))));
    }
    static get is() { return "transaction-shards"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-shards.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-shards.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "class",
                "reflect": false
            },
            "transaction": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionsTableRow",
                    "resolved": "ITransactionsTableRow",
                    "references": {
                        "ITransactionsTableRow": {
                            "location": "import",
                            "path": "../../transactions-table.type",
                            "id": "src/components/controlled/transactions-table/transactions-table.type.ts::ITransactionsTableRow"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-shards.js.map
