import { faLayerGroup } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionValue {
    render() {
        var _a;
        return (h("div", { key: 'ebabc98c94e33ca74e4fa89c41982f552a979001', class: classNames(this.class, 'transaction-value') }, this.value.badge && (h("div", { key: 'e8fd4564fc2175571bb51dc943be9c34117f45e5', "data-testid": DataTestIdsEnum.transactionNftBadge, class: "badge badge-secondary badge-pill font-weight-light transaction-value-badge" }, this.value.badge)), this.value.showFormattedAmount && (h("format-amount", { key: '080c624956540bcbae0a33eb225cabd125b7bfa1', class: classNames('mr-1', {
                'text-truncate': this.value.svgUrl,
            }), dataTestId: DataTestIdsEnum.transactionActionFormattedAmount, isValid: true, label: this.value.egldLabel, valueDecimal: this.value.valueDecimal, valueInteger: this.value.valueInteger })), this.value.link && (h("explorer-link", { key: 'fcc83ea1baf4c57177aed9597d7b64d3b07d0c8f', link: this.value.link, class: classNames('transaction-value-link', {
                'side-link d-flex': this.value.svgUrl,
                'text-truncate': !this.value.svgUrl,
            }) }, h("div", { key: '238d07119b7254a52b7fab3a929200cb322c4fe6', class: "transaction-value-content", slot: "content" }, this.value.svgUrl && h("img", { key: '43650c9f4a8b6c284ac90cb9c0912b765a13abce', src: this.value.svgUrl, alt: (_a = this.value.name) !== null && _a !== void 0 ? _a : '', class: "transaction-value-img" }), this.value.linkText && (h("span", { key: 'bb42ddcdb888171945087cf1004cde16e9df293e', class: classNames('transaction-value-link-text', {
                truncate: this.value.ticker === this.value.collection && this.value.ticker != null,
            }) }, this.value.linkText))))), this.value.titleText && h("fa-icon", { key: '147e95a21e44dca70e2a1f081c043dbe97961d96', icon: faLayerGroup, class: "transaction-value-icon", title: this.value.titleText })));
    }
    static get is() { return "transaction-value"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-value.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-value.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "class",
                "reflect": false
            },
            "value": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionValue",
                    "resolved": "ITransactionValue",
                    "references": {
                        "ITransactionValue": {
                            "location": "import",
                            "path": "components/controlled/transactions-table/transactions-table.type",
                            "id": "src/components/controlled/transactions-table/transactions-table.type.ts::ITransactionValue"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-value.js.map
