import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class LedgerConnectConfirmBody {
    render() {
        var _a, _b, _c;
        return (h("div", { key: '0880892711fbeb784c21e15496b4173565280af6', "data-testid": DataTestIdsEnum.ledgerConfirmAddress, class: "address-section" }, h("div", { key: '706e6edcc03110f2497b17e38e0e11fc60ad892c', class: "address-section" }, h("div", { key: '7da51c02c52439bfef22334ef622b8704eab39ec', class: "address-description" }, this.confirmScreenData.confirmAddressText), h("div", { key: '925967ec6e7737d9f1caa98959fc76d41962a832', class: "address-header" }, this.confirmScreenData.selectedAddress)), h("div", { key: 'e2e8d8db7bcbfa7e1b60447b24bbb5fca5ec1680', class: "address-section" }, h("div", { key: '121b66e3ec8229c535c73da6cf3b637fc438abff', class: "address-description" }, (_a = this.confirmScreenData) === null || _a === void 0 ? void 0 : _a.authText), h("div", { key: '5c0e247e7a1e336a8542476dd37584aeafd4cb5e', class: "address-data" }, (_b = this.confirmScreenData) === null || _b === void 0 ? void 0 : _b.data), h("div", { key: '68b203c6f68d96afa4e28dab583650c539344269', class: "address-description" }, (_c = this.confirmScreenData) === null || _c === void 0 ? void 0 : _c.areShownText)), h("div", { key: '35dbb8d7dbe719b3e401b28472c6ee7eebee8217', class: "address-footer" }, h("div", { key: '4299c9327bd3e334e4a72e79fe6694632f4115a4' }, "Select Approve on your device to confirm."), h("div", { key: '2cbc978bc0f591b5819c3518f6c7c645e2814e67' }, "Or, if it does not match, close this page and", ' ', h("a", { key: '5ce66e477655b258e75f07a857b10939a6b1702e', href: "https://help.multiversx.com/en/", target: "_blank", rel: "noreferrer" }, "contact support"), "."))));
    }
    static get is() { return "ledger-confirm-screen"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["ledger-confirm-screen.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["ledger-confirm-screen.css"]
        };
    }
    static get properties() {
        return {
            "confirmScreenData": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IConfirmScreenData",
                    "resolved": "IConfirmScreenData",
                    "references": {
                        "IConfirmScreenData": {
                            "location": "import",
                            "path": "../../ledger-connect.types",
                            "id": "src/components/functional/ledger-connect-components/ledger-connect.types.ts::IConfirmScreenData"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=ledger-confirm-screen.js.map
