import { h } from "@stencil/core";
export class BalanceComponent {
    constructor() {
        this.amount = '';
        this.ticker = '';
        this.header = '';
    }
    render() {
        return (h("div", { key: '3fe06c96ea73c5961821d1493c750f731992fd83', class: "balance-container" }, this.header && h("p", { key: '72170facb40e3f2b25ed3604c60bb1b1d072d850' }, this.header), h("div", { key: '3e1c20fb67d787ab9e9a942b69d90e3b7d9150cf', class: "amount-container" }, h("span", { key: '2ce073a021c121e6e4957dec5aa23bb1246b0dbb', class: "amount-value" }, this.amount), h("span", { key: '3e068c07bb8ad12f7772e7afe477c0f0bfcc8cbd', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: '2efcb6f60c49a111eab873f03b4e0001733fe3f8' }, this.usdValue)));
    }
    static get is() { return "balance-component"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get properties() {
        return {
            "amount": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "amount",
                "reflect": false,
                "defaultValue": "''"
            },
            "ticker": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "ticker",
                "reflect": false,
                "defaultValue": "''"
            },
            "usdValue": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "usd-value",
                "reflect": false
            },
            "header": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "header",
                "reflect": false,
                "defaultValue": "''"
            }
        };
    }
}
//# sourceMappingURL=balance-component.js.map
