import { p as proxyCustomElement, H, c as createEvent, h } from './p-8a2c7dab.js';
import { b as faTimes } from './p-320b74c7.js';
import { d as defineCustomElement$1 } from './p-a40ff0c9.js';

const unlockHeaderCss = ".header{display:flex;align-items:center;justify-content:space-between;padding:12px 16px;border-radius:8px;font-size:16px;font-weight:bold;color:#333;text-transform:capitalize}.icon-button{background:none;border:none;cursor:pointer;display:flex;align-items:center;padding:8px}.icon-button .icon{font-size:20px;color:#333;cursor:pointer}.title{flex:1;text-align:left}";
const UnlockHeaderStyle0 = unlockHeaderCss;

const UnlockHeader = /*@__PURE__*/ proxyCustomElement(class UnlockHeader extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.back = createEvent(this, "back", 7);
        this.close = createEvent(this, "close", 7);
        this.closeIcon = faTimes;
        this.handleBack = () => {
            this.back.emit();
        };
        this.handleClose = () => {
            this.close.emit();
        };
    }
    render() {
        return (h("div", { key: '6011ca2eafdbf26b5066251b3bab487e693168a6', class: 'header' }, this.backIcon && (h("button", { key: 'db229733cba8c1a9f981b19552b2bb0f90103b6e', class: "icon-button", onClick: this.handleBack }, h("fa-icon", { key: 'fd6c0418eaeb6fc327bfd74040f76e8ef4a8b2c9', icon: this.backIcon }))), h("span", { key: 'c09b4ee34c9b4c453ae4ae39a06736bb5cbbe79a', class: "title" }, this.text), h("button", { key: 'a0e0a3ea287ad8b273541a18ca7836f68f4972df', class: "icon-button", onClick: this.handleClose }, h("fa-icon", { key: '6300e01cc88bf54b5d5c4668b77fe602a3aed882', icon: this.closeIcon }))));
    }
    static get style() { return UnlockHeaderStyle0; }
}, [1, "unlock-header", {
        "text": [1],
        "backIcon": [16],
        "closeIcon": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["unlock-header", "fa-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "unlock-header":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, UnlockHeader);
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { UnlockHeader as U, defineCustomElement as d };

//# sourceMappingURL=p-3c49392d.js.map