import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';

const transactionToastWrapperCss = ".transaction-toast-wrapper{border-radius:0.25rem;box-shadow:0 0.25rem 0.75rem rgba(0, 0, 0, 0.1);margin-bottom:0.7rem;padding:0.5rem;background-color:#fff;position:relative}";
const TransactionToastWrapperStyle0 = transactionToastWrapperCss;

const TransactionToastWrapper = /*@__PURE__*/ proxyCustomElement(class TransactionToastWrapper extends H {
    constructor() {
        super();
        this.__registerHost();
        this.wrapperClass = 'transaction-toast-wrapper';
    }
    render() {
        return (h("div", { key: '3bbfd029bbec7460827503386103cec482f06346', id: this.wrapperId, class: this.wrapperClass }, h("slot", { key: '79717111ff7609131e305d2dfc611f5c1200e2e6' })));
    }
    static get style() { return TransactionToastWrapperStyle0; }
}, [4, "transaction-toast-wrapper", {
        "wrapperClass": [1, "wrapper-class"],
        "wrapperId": [1, "wrapper-id"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-wrapper"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToastWrapper);
            }
            break;
    } });
}

export { TransactionToastWrapper as T, defineCustomElement as d };

//# sourceMappingURL=p-7e20e430.js.map