import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';

const genericSpinnerCss = ".spinner{display:flex;justify-content:center;align-items:center;width:100%;height:100%}.spinner::after{content:'';width:40px;height:40px;border:4px solid #f3f3f3;border-top:4px solid #3498db;border-radius:50%;animation:spin 1s linear infinite}@keyframes spin{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}";
const GenericSpinnerStyle0 = genericSpinnerCss;

const GenericSpinner = /*@__PURE__*/ proxyCustomElement(class GenericSpinner extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return h("div", Object.assign({ key: '7067cf2c8c7c6e5d7de9d577635bf5ba6f4da87f', class: "spinner" }, this.host.attributes));
    }
    get host() { return this; }
    static get style() { return GenericSpinnerStyle0; }
}, [0, "generic-spinner"]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["generic-spinner"];
    components.forEach(tagName => { switch (tagName) {
        case "generic-spinner":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, GenericSpinner);
            }
            break;
    } });
}

export { GenericSpinner as G, defineCustomElement as d };

//# sourceMappingURL=p-8324d312.js.map