import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';

const unlockButtonCss = ":host{display:block;width:100%}.unlock-button{display:flex;align-items:center;padding:12px;border-radius:12px;background:white;box-shadow:0 2px 6px rgba(0, 0, 0, 0.05);cursor:pointer;transition:background 0.3s ease}.unlock-button:hover{background:#fafafa}.unlock-icon{width:40px;height:40px;border-radius:8px;overflow:hidden;display:flex;align-items:center;justify-content:center;border:1px solid #ebe5df}.unlock-icon img{width:100%;height:100%;object-fit:cover}.unlock-label{flex:1;margin-left:12px;font-size:16px;font-weight:500}";
const UnlockButtonStyle0 = unlockButtonCss;

const UnlockButton = /*@__PURE__*/ proxyCustomElement(class UnlockButton extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        return (h("div", { key: '05671c718809757151df1e77b99b1ac28d7f0b22', class: "unlock-button" }, h("div", { key: '31ce83321ea8ded527af968b919082603f34c064', class: "unlock-icon" }, this.icon), h("span", { key: '1aa2a8c3092ac1b96a5d382d1b8e7865f66cf690', class: "unlock-label" }, this.label)));
    }
    static get style() { return UnlockButtonStyle0; }
}, [1, "unlock-button", {
        "label": [1],
        "icon": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["unlock-button"];
    components.forEach(tagName => { switch (tagName) {
        case "unlock-button":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, UnlockButton);
            }
            break;
    } });
}

export { UnlockButton as U, defineCustomElement as d };

//# sourceMappingURL=p-9793e2eb.js.map