import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { c as faArrowUpRightFromSquare } from './p-320b74c7.js';
import { c as classNames } from './p-12360e4c.js';
import { d as defineCustomElement$1 } from './p-a40ff0c9.js';

const explorerLinkCss = ".explorer-link{text-decoration:none;color:var(--explorer-link-color, -webkit-link);}";
const ExplorerLinkStyle0 = explorerLinkCss;

const ExplorerLink = /*@__PURE__*/ proxyCustomElement(class ExplorerLink extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.hasSlotContent = false;
    }
    componentWillLoad() {
        this.hasSlotContent = !!this.hostElement.querySelector('[slot="content"]');
    }
    render() {
        var _a, _b;
        return (h("a", { key: 'e2b6b701c73cc202da8ffa240d6f1e318e57ef53', "data-testid": this.dataTestId, href: this.link, target: "_blank", class: classNames(this.class, 'explorer-link'), rel: "noreferrer" }, this.hasSlotContent ? h("slot", { name: "content" }) : (_a = this.text) !== null && _a !== void 0 ? _a : h("fa-icon", { icon: (_b = this.icon) !== null && _b !== void 0 ? _b : faArrowUpRightFromSquare })));
    }
    get hostElement() { return this; }
    static get style() { return ExplorerLinkStyle0; }
}, [1, "explorer-link", {
        "class": [1],
        "dataTestId": [1, "data-test-id"],
        "icon": [16],
        "link": [1],
        "text": [1],
        "hasSlotContent": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["explorer-link", "fa-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "explorer-link":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ExplorerLink);
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { ExplorerLink as E, defineCustomElement as d };

//# sourceMappingURL=p-a9ddb8a4.js.map