import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';
import { d as defineCustomElement$2 } from './p-a9ddb8a4.js';
import { d as defineCustomElement$1 } from './p-a40ff0c9.js';

const transactionShardsCss = ".transaction-shards,.transaction-shards-arrow{align-items:center;display:flex;gap:0.5rem;width:max-content}";
const TransactionShardsStyle0 = transactionShardsCss;

const TransactionShards = /*@__PURE__*/ proxyCustomElement(class TransactionShards extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        return (h("div", { key: '1f837f3c0ac7f3b4e3a38ddf460ea2efca79b77f', class: classNames(this.class, 'transaction-shards') }, h("explorer-link", { key: 'c62c25c3e7b69d8c8c370dcfd521972325514844', link: this.transaction.sender.shardLink, class: "transactions-table-body-cell-link", "data-testid": DataTestIdsEnum.shardFromLink }, h("span", { key: 'd42627111edff527372b830d3091e398242be097', slot: "content", "data-testid": DataTestIdsEnum.senderShard }, this.transaction.sender.shard)), h("span", { key: 'dd3304ae00df28b3a80cc8cdc08b2c5774e8a9c3', class: "transaction-shards-arrow" }, "\u2794"), h("explorer-link", { key: '34d168617a28b644e2ebf27782c437796630a3f6', class: "transactions-table-body-cell-link", link: this.transaction.receiver.shardLink, "data-testid": DataTestIdsEnum.shardToLink }, h("span", { key: '04f620c95cdad904a4d5fc1005e11f06abdf1912', slot: "content", "data-testid": DataTestIdsEnum.receiverShard }, this.transaction.receiver.shard))));
    }
    static get style() { return TransactionShardsStyle0; }
}, [1, "transaction-shards", {
        "class": [1],
        "transaction": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-shards", "explorer-link", "fa-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-shards":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionShards);
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionShards as T, defineCustomElement as d };

//# sourceMappingURL=p-b4869356.js.map