import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { b as faTimes } from './p-320b74c7.js';
import { c as classNames } from './p-12360e4c.js';
import { d as defineCustomElement$1 } from './p-a40ff0c9.js';

const TransactionIcon = /*@__PURE__*/ proxyCustomElement(class TransactionIcon extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        if (!this.iconInfo) {
            return null;
        }
        return (h("fa-icon", { class: classNames({
                'fa-sm': this.iconInfo.icon === faTimes,
            }, this.class, 'transaction-icon'), icon: this.iconInfo.icon, description: this.iconInfo.tooltip }));
    }
}, [1, "transaction-icon", {
        "class": [1],
        "iconInfo": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-icon", "fa-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionIcon);
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionIcon as T, defineCustomElement as d };

//# sourceMappingURL=p-f1559b97.js.map