import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { c as classNames } from './p-12360e4c.js';
import { d as defineCustomElement$4 } from './p-a9ddb8a4.js';
import { d as defineCustomElement$3 } from './p-a40ff0c9.js';
import { d as defineCustomElement$2 } from './p-1dd51043.js';
import { d as defineCustomElement$1 } from './p-8cd3fb7f.js';

var faFileAlt = {};

var faFileLines = {};

(function (exports) {
Object.defineProperty(exports, '__esModule', { value: true });
var prefix = 'fas';
var iconName = 'file-lines';
var width = 384;
var height = 512;
var aliases = [128441,128462,61686,"file-alt","file-text"];
var unicode = 'f15c';
var svgPathData = 'M64 0C28.7 0 0 28.7 0 64L0 448c0 35.3 28.7 64 64 64l256 0c35.3 0 64-28.7 64-64l0-288-128 0c-17.7 0-32-14.3-32-32L224 0 64 0zM256 0l0 128 128 0L256 0zM112 256l160 0c8.8 0 16 7.2 16 16s-7.2 16-16 16l-160 0c-8.8 0-16-7.2-16-16s7.2-16 16-16zm0 64l160 0c8.8 0 16 7.2 16 16s-7.2 16-16 16l-160 0c-8.8 0-16-7.2-16-16s7.2-16 16-16zm0 64l160 0c8.8 0 16 7.2 16 16s-7.2 16-16 16l-160 0c-8.8 0-16-7.2-16-16s7.2-16 16-16z';

exports.definition = {
  prefix: prefix,
  iconName: iconName,
  icon: [
    width,
    height,
    aliases,
    unicode,
    svgPathData
  ]};

exports.faFileLines = exports.definition;
exports.prefix = prefix;
exports.iconName = iconName;
exports.width = width;
exports.height = height;
exports.ligatures = aliases;
exports.unicode = unicode;
exports.svgPathData = svgPathData;
exports.aliases = aliases;
}(faFileLines));

(function (exports) {
Object.defineProperty(exports, '__esModule', { value: true });
var source = faFileLines;
exports.definition = {
  prefix: source.prefix,
  iconName: source.iconName,
  icon: [
    source.width,
    source.height,
    source.aliases,
    source.unicode,
    source.svgPathData
  ]};

exports.faFileAlt = exports.definition;
exports.prefix = source.prefix;
exports.iconName = source.iconName;
exports.width = source.width;
exports.height = source.height;
exports.ligatures = source.aliases;
exports.unicode = source.unicode;
exports.svgPathData = source.svgPathData;
exports.aliases = source.aliases;
}(faFileAlt));

var faLock = {};

(function (exports) {
Object.defineProperty(exports, '__esModule', { value: true });
var prefix = 'fas';
var iconName = 'lock';
var width = 448;
var height = 512;
var aliases = [128274];
var unicode = 'f023';
var svgPathData = 'M144 144l0 48 160 0 0-48c0-44.2-35.8-80-80-80s-80 35.8-80 80zM80 192l0-48C80 64.5 144.5 0 224 0s144 64.5 144 144l0 48 16 0c35.3 0 64 28.7 64 64l0 192c0 35.3-28.7 64-64 64L64 512c-35.3 0-64-28.7-64-64L0 256c0-35.3 28.7-64 64-64l16 0z';

exports.definition = {
  prefix: prefix,
  iconName: iconName,
  icon: [
    width,
    height,
    aliases,
    unicode,
    svgPathData
  ]};

exports.faLock = exports.definition;
exports.prefix = prefix;
exports.iconName = iconName;
exports.width = width;
exports.height = height;
exports.ligatures = aliases;
exports.unicode = unicode;
exports.svgPathData = svgPathData;
exports.aliases = aliases;
}(faLock));

const transactionAccountCss = ".transaction-account{align-items:center;display:flex;gap:0.5rem}";
const TransactionAccountStyle0 = transactionAccountCss;

const TransactionAccount = /*@__PURE__*/ proxyCustomElement(class TransactionAccount extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.showLockedAccounts = false;
    }
    render() {
        return (h("div", { key: 'f8ee292d243512d93eab9ab3b67e91c8a981ccd8', class: classNames(this.class, 'transaction-account'), "data-testid": this.dataTestId }, this.showLockedAccounts && this.account.isTokenLocked && h("fa-icon", { key: '8ef9d1bd8672689eb00a240491f458f62c9b8548', icon: faLock.faLock, description: this.account.name }), this.account.isContract && h("fa-icon", { key: 'b2c55d5f21afaab3c9c8cc612c8070eecbfb2762', icon: faFileAlt.faFileAlt, description: "Smart Contract" }), this.account.showLink ? (h("explorer-link", { link: this.account.link, "data-testid": `${this.scope}Link` }, h("transaction-account-name", { slot: "content", name: this.account.name, description: this.account.description, address: this.account.address }))) : (h("transaction-account-name", { name: this.account.name, description: this.account.description, address: this.account.address }))));
    }
    static get style() { return TransactionAccountStyle0; }
}, [1, "transaction-account", {
        "account": [16],
        "class": [1],
        "dataTestId": [1, "data-test-id"],
        "scope": [1],
        "showLockedAccounts": [4, "show-locked-accounts"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-account", "explorer-link", "fa-icon", "transaction-account-name", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-account":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionAccount);
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-account-name":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionAccount as T, defineCustomElement as d };

//# sourceMappingURL=p-fa5ea100.js.map