import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { c as classNames } from './p-12360e4c.js';

const transactionDirectionBadgeCss = ".transaction-direction-badge{display:flex}";
const TransactionDirectionBadgeStyle0 = transactionDirectionBadgeCss;

const TransactionDirectionBadge$1 = /*@__PURE__*/ proxyCustomElement(class TransactionDirectionBadge extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        return (h("div", { key: 'c0611475106f02ecb7d9165d9aca659af8c1ffd1', class: classNames(this.class, 'transaction-direction-badge') }, h("span", { key: '483ed59dfc49c6304f9bec992b3b00057f03f6e3', class: {
                directionBadge: true,
                [this.direction.toLowerCase()]: true,
            } }, this.direction.toUpperCase())));
    }
    static get style() { return TransactionDirectionBadgeStyle0; }
}, [1, "transaction-direction-badge", {
        "class": [1],
        "direction": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-direction-badge"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-direction-badge":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionDirectionBadge$1);
            }
            break;
    } });
}

const TransactionDirectionBadge = TransactionDirectionBadge$1;
const defineCustomElement = defineCustomElement$1;

export { TransactionDirectionBadge, defineCustomElement };

//# sourceMappingURL=transaction-direction-badge.js.map