import { r as registerInstance, h, a as getElement } from './index-755f1da5.js';

const genericSpinnerCss = ".spinner{display:flex;justify-content:center;align-items:center;width:100%;height:100%}.spinner::after{content:'';width:40px;height:40px;border:4px solid #f3f3f3;border-top:4px solid #3498db;border-radius:50%;animation:spin 1s linear infinite}@keyframes spin{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}";
const GenericSpinnerStyle0 = genericSpinnerCss;

const GenericSpinner = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return h("div", Object.assign({ key: '7067cf2c8c7c6e5d7de9d577635bf5ba6f4da87f', class: "spinner" }, this.host.attributes));
    }
    get host() { return getElement(this); }
};
GenericSpinner.style = GenericSpinnerStyle0;

export { GenericSpinner as generic_spinner };

//# sourceMappingURL=generic-spinner.entry.js.map