import type { VNode } from '../../../../../stencil-public-runtime';
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export declare class SignTransaction {
    header: VNode;
    getSignButtonProps(): {
        signText: string;
        disabled: boolean;
        'data-testid': DataTestIdsEnum;
        onClick: () => void;
    };
    getBackButtonProps(): {
        'data-testid'?: undefined;
        backButtonText?: undefined;
        onClick?: undefined;
        disabled?: undefined;
    } | {
        'data-testid': DataTestIdsEnum;
        backButtonText: string;
        onClick: () => void;
        disabled?: undefined;
    } | {
        'data-testid': DataTestIdsEnum;
        backButtonText: string;
        onClick: () => void;
        disabled: boolean;
    };
    getHighlightedData(): any;
    render(): any;
}
