'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5d7ef74f.js');

const genericModalCss = ":host{display:block}.modal{position:fixed;z-index:1000;left:0;top:0;width:100%;height:100%;background-color:rgba(0, 0, 0, 0.4);overflow:auto}.modal-content{background-color:#ffffff;margin:5% auto;padding:20px;border-radius:12px;width:90%;max-width:600px}.modal-header{text-align:center;margin-bottom:20px}.close{float:right;cursor:pointer;padding:5px}";
const GenericModalStyle0 = genericModalCss;

const GenericModal = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.close = index.createEvent(this, "close", 7);
    }
    handleClose() {
        this.close.emit();
    }
    handleKeyDown(event) {
        if (event.key === 'Escape') {
            this.handleClose();
        }
    }
    render() {
        return (index.h("div", { key: '3f0791f55dc7b5e334cfe9a2c7fa2a6dd4c5bb75', class: "modal", onKeyDown: this.handleKeyDown.bind(this) }, index.h("div", { key: 'bf99068ffad9d43171f84142bd4a4b1c592cb3cf', class: "modal-content" }, index.h("div", { key: 'b372585b5a0310469320ece6a50baa8900ae9b6a', class: "modal-header" }, index.h("span", { key: 'e6827e0e807c5e95035f119b7f61ff581a91ff19', class: "close", onClick: this.handleClose.bind(this) }, "\u2715"), index.h("h2", { key: '2a181abdc50366893302b91487898f49771ccd1b' }, this.modalTitle), this.modalSubtitle && index.h("h4", { key: '15bcf135240d9f70eb8cba6e1cd2e794e2f9be83' }, this.modalSubtitle)), this.body)));
    }
};
GenericModal.style = GenericModalStyle0;

exports.generic_modal = GenericModal;

//# sourceMappingURL=generic-modal.cjs.entry.js.map