'use strict';

const getIconHtmlFromIconDefinition = require('./getIconHtmlFromIconDefinition-07bb4d7b.js');
const index = require('./index-ce9a1d00.js');

function getIconHtmlFromIconName(iconName) {
    let faIcon;
    const dynamicIcon = index.solidIcons[`fa${capitalize(iconName)}`];
    if (!dynamicIcon) {
        console.error(`Icon "${iconName}" not found"`);
        return null;
    }
    getIconHtmlFromIconDefinition.library$1.add(dynamicIcon);
    faIcon = getIconHtmlFromIconDefinition.icon(dynamicIcon);
    return faIcon ? faIcon.html[0] : null;
}
function capitalize(iconName) {
    if (!iconName) {
        return iconName;
    }
    return iconName.charAt(0).toUpperCase() + iconName.slice(1);
}

exports.getIconHtmlFromIconName = getIconHtmlFromIconName;

//# sourceMappingURL=getIconHtmlFromIconName-ff9f06b7.js.map