'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5d7ef74f.js');
const index$1 = require('./index-5a88e57b.js');

const transactionAccountNameCss = ".transaction-account-name{width:max-content}";
const TransactionAccountNameStyle0 = transactionAccountNameCss;

const TransactionAccountName = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        if (this.name) {
            return (index.h("div", { class: index$1.classNames('text-truncate', this.class, 'transaction-account-name'), "data-testid": this.dataTestId, title: this.description }, this.name));
        }
        return index.h("trim-text", { text: this.address, class: index$1.classNames(this.class, 'transaction-account-name'), dataTestId: this.dataTestId });
    }
};
TransactionAccountName.style = TransactionAccountNameStyle0;

exports.transaction_account_name = TransactionAccountName;

//# sourceMappingURL=transaction-account-name.cjs.entry.js.map