import { h } from "@stencil/core";
export class TransactionToastWrapper {
    constructor() {
        this.wrapperClass = 'transaction-toast-wrapper';
    }
    render() {
        return (h("div", { key: '3bbfd029bbec7460827503386103cec482f06346', id: this.wrapperId, class: this.wrapperClass }, h("slot", { key: '79717111ff7609131e305d2dfc611f5c1200e2e6' })));
    }
    static get is() { return "transaction-toast-wrapper"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-toast-wrapper.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-toast-wrapper.css"]
        };
    }
    static get properties() {
        return {
            "wrapperClass": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "wrapper-class",
                "reflect": false,
                "defaultValue": "'transaction-toast-wrapper'"
            },
            "wrapperId": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "wrapper-id",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-toast-wrapper.js.map
