import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
export class UnlockHeader {
    constructor() {
        this.closeIcon = faTimes;
        this.handleBack = () => {
            this.back.emit();
        };
        this.handleClose = () => {
            this.close.emit();
        };
    }
    render() {
        return (h("div", { key: '6011ca2eafdbf26b5066251b3bab487e693168a6', class: 'header' }, this.backIcon && (h("button", { key: 'db229733cba8c1a9f981b19552b2bb0f90103b6e', class: "icon-button", onClick: this.handleBack }, h("fa-icon", { key: 'fd6c0418eaeb6fc327bfd74040f76e8ef4a8b2c9', icon: this.backIcon }))), h("span", { key: 'c09b4ee34c9b4c453ae4ae39a06736bb5cbbe79a', class: "title" }, this.text), h("button", { key: 'a0e0a3ea287ad8b273541a18ca7836f68f4972df', class: "icon-button", onClick: this.handleClose }, h("fa-icon", { key: '6300e01cc88bf54b5d5c4668b77fe602a3aed882', icon: this.closeIcon }))));
    }
    static get is() { return "unlock-header"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["unlock-header.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["unlock-header.css"]
        };
    }
    static get properties() {
        return {
            "text": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "text",
                "reflect": false
            },
            "backIcon": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IconDefinition",
                    "resolved": "IconDefinition",
                    "references": {
                        "IconDefinition": {
                            "location": "import",
                            "path": "@fortawesome/free-solid-svg-icons",
                            "id": "node_modules::IconDefinition"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "closeIcon": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IconDefinition",
                    "resolved": "IconDefinition",
                    "references": {
                        "IconDefinition": {
                            "location": "import",
                            "path": "@fortawesome/free-solid-svg-icons",
                            "id": "node_modules::IconDefinition"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "defaultValue": "faTimes"
            }
        };
    }
    static get events() {
        return [{
                "method": "back",
                "name": "back",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }, {
                "method": "close",
                "name": "close",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=unlock-header.js.map
