import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';

const ledgerConfirmScreenCss = ".address-section{line-height:1.5;margin-top:40px;font-size:16px;text-align:center}.address-section .address-description{color:#858688}.address-section .address-data{background-color:#ced4da;line-height:1;padding:12px;text-align:center;border-radius:8px;word-break:break-word}.address-section .address-header{background-color:#ced4da;line-height:1;padding:12px;text-align:center;border-radius:8px}.address-footer{font-size:14px;color:var(--gray-700);line-height:1.5;position:relative;margin-top:40px;padding-top:40px}.address-footer::before{height:1px;content:\"\";left:0;bottom:100%;right:0;position:absolute;background-color:var(--gray-700)}.address-footer a{color:var(--primary)}";
const LedgerConfirmScreenStyle0 = ledgerConfirmScreenCss;

const LedgerConnectConfirmBody = /*@__PURE__*/ proxyCustomElement(class LedgerConnectConfirmBody extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        var _a, _b, _c;
        return (h("div", { key: '0880892711fbeb784c21e15496b4173565280af6', "data-testid": DataTestIdsEnum.ledgerConfirmAddress, class: "address-section" }, h("div", { key: '706e6edcc03110f2497b17e38e0e11fc60ad892c', class: "address-section" }, h("div", { key: '7da51c02c52439bfef22334ef622b8704eab39ec', class: "address-description" }, this.confirmScreenData.confirmAddressText), h("div", { key: '925967ec6e7737d9f1caa98959fc76d41962a832', class: "address-header" }, this.confirmScreenData.selectedAddress)), h("div", { key: 'e2e8d8db7bcbfa7e1b60447b24bbb5fca5ec1680', class: "address-section" }, h("div", { key: '121b66e3ec8229c535c73da6cf3b637fc438abff', class: "address-description" }, (_a = this.confirmScreenData) === null || _a === void 0 ? void 0 : _a.authText), h("div", { key: '5c0e247e7a1e336a8542476dd37584aeafd4cb5e', class: "address-data" }, (_b = this.confirmScreenData) === null || _b === void 0 ? void 0 : _b.data), h("div", { key: '68b203c6f68d96afa4e28dab583650c539344269', class: "address-description" }, (_c = this.confirmScreenData) === null || _c === void 0 ? void 0 : _c.areShownText)), h("div", { key: '35dbb8d7dbe719b3e401b28472c6ee7eebee8217', class: "address-footer" }, h("div", { key: '4299c9327bd3e334e4a72e79fe6694632f4115a4' }, "Select Approve on your device to confirm."), h("div", { key: '2cbc978bc0f591b5819c3518f6c7c645e2814e67' }, "Or, if it does not match, close this page and", ' ', h("a", { key: '5ce66e477655b258e75f07a857b10939a6b1702e', href: "https://help.multiversx.com/en/", target: "_blank", rel: "noreferrer" }, "contact support"), "."))));
    }
    static get style() { return LedgerConfirmScreenStyle0; }
}, [1, "ledger-confirm-screen", {
        "confirmScreenData": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["ledger-confirm-screen"];
    components.forEach(tagName => { switch (tagName) {
        case "ledger-confirm-screen":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, LedgerConnectConfirmBody);
            }
            break;
    } });
}

export { LedgerConnectConfirmBody as L, defineCustomElement as d };

//# sourceMappingURL=p-9358f0f5.js.map