import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';

const transactionAgeCss = ".transaction-age{width:max-content}";
const TransactionAgeStyle0 = transactionAgeCss;

const TransactionAge = /*@__PURE__*/ proxyCustomElement(class TransactionAge extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        const component = this.tooltip ? (h("div", { class: classNames(this.class, 'transaction-age'), title: this.tooltip, "data-testid": DataTestIdsEnum.transactionAge }, this.age)) : (h("div", { class: classNames(this.class, 'transaction-age'), "data-testid": DataTestIdsEnum.transactionAge }, this.age));
        return h("div", { key: '846fc4015ad149e625552e080e887eba1ede624a', class: classNames(this.class, 'transaction-age') }, component);
    }
    static get style() { return TransactionAgeStyle0; }
}, [1, "transaction-age", {
        "age": [1],
        "class": [1],
        "tooltip": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-age"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-age":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionAge);
            }
            break;
    } });
}

export { TransactionAge as T, defineCustomElement as d };

//# sourceMappingURL=p-e1f5952a.js.map