import { r as registerInstance, h } from './index-755f1da5.js';

const balanceComponentCss = "*{margin:0;padding:0;box-sizing:border-box}.balance-container{display:flex;flex-direction:column}.amount-container{display:inline-flex;align-items:flex-start;gap:4px;font-size:24px;line-height:1}.amount-value{font-weight:bold}.amount-ticker{font-size:16px;align-self:flex-start}";
const BalanceComponentStyle0 = balanceComponentCss;

const BalanceComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.amount = '';
        this.ticker = '';
        this.header = '';
    }
    render() {
        return (h("div", { key: '3fe06c96ea73c5961821d1493c750f731992fd83', class: "balance-container" }, this.header && h("p", { key: '72170facb40e3f2b25ed3604c60bb1b1d072d850' }, this.header), h("div", { key: '3e1c20fb67d787ab9e9a942b69d90e3b7d9150cf', class: "amount-container" }, h("span", { key: '2ce073a021c121e6e4957dec5aa23bb1246b0dbb', class: "amount-value" }, this.amount), h("span", { key: '3e068c07bb8ad12f7772e7afe477c0f0bfcc8cbd', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: '2efcb6f60c49a111eab873f03b4e0001733fe3f8' }, this.usdValue)));
    }
};
BalanceComponent.style = BalanceComponentStyle0;

export { BalanceComponent as balance_component };

//# sourceMappingURL=balance-component.entry.js.map