import { r as registerInstance, h } from './index-755f1da5.js';
import { c as classNames } from './index-097075ad.js';
import { g as getIconHtmlFromIconDefinition } from './getIconHtmlFromIconDefinition-2377fd50.js';

const faIconCss = ".fa-icon .svg-inline--fa{align-items:center;display:flex;height:1rem;justify-content:center}";
const FaIconStyle0 = faIconCss;

const FaIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        if (!this.icon) {
            return null;
        }
        const iconHtml = getIconHtmlFromIconDefinition(this.icon);
        return h("i", { class: classNames(this.class, 'fa-icon'), innerHTML: iconHtml, title: this.description });
    }
};
FaIcon.style = FaIconStyle0;

export { FaIcon as fa_icon };

//# sourceMappingURL=fa-icon.entry.js.map