import type { IEventBus } from "../../../utils/EventBus";
import type { IWalletConnectModalData } from './wallet-connect-modal.types';
export declare class WalletConnectModal {
    hostElement: HTMLElement;
    data: IWalletConnectModalData;
    qrCodeSvg: string;
    private walletConnectBase;
    componentWillLoad(): void;
    getEventBus(): Promise<IEventBus>;
    onDataChange(data: IWalletConnectModalData): Promise<void>;
    render(): any;
    close(props?: {
        isUserClick: boolean;
    }): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
}
