import type { EventEmitter } from '../../stencil-public-runtime';
import { ProviderTypeEnum } from "../../types/provider.types";
export declare class UnlockPanel {
    open: boolean;
    allowedProviders?: ProviderTypeEnum[];
    close: EventEmitter;
    login: EventEmitter<{
        provider: ProviderTypeEnum;
        anchor?: HTMLElement;
    }>;
    isVisible: boolean;
    shouldAnimate: boolean;
    isLoggingIn: boolean;
    selectedMethod: ProviderTypeEnum | null;
    private anchor;
    private observer;
    private closeTimeout;
    handleOpenChange(newValue: boolean): number;
    disconnectedCallback(): void;
    handleClose: (event: MouseEvent) => void;
    private observeContainer;
    handleLogin: (provider: ProviderTypeEnum) => void;
    resetLoginState: () => void;
    render(): any;
}
